//#define DEBUG

//#define DEBUG2

#include "defines.h"

#include <ctype.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include <avr/interrupt.h>
//#include <avr/pgmspace.h>

#include <util/delay.h>

#include "uart.h"
#include "i2c.h"

static void ioinit(void)
{
  uart_init();
  i2cInit();
};

FILE uart_str = FDEV_SETUP_STREAM(uart_putchar, uart_getchar, _FDEV_SETUP_RW);

int main(void)
{
  MCUCSR |= 0x80; //Switch off JTAG, free port PC5
  MCUCSR |= 0x80;

  ioinit();

  stdout = stdin = &uart_str;

  int time=33;
  
  printf("-1-2-3- \n");

  DDRA=0x01;
  
  while(1){
    uint16_t x;
	for(x=0; x<36; x++){
	  PORTA=0x01;
	  _delay_loop_1(time);
	  PORTA=0x00;
	  _delay_loop_1(time);
    };

    uint8_t a=inb(PINA) & 0x02;
    printf("%d\n",a);

	//_delay_us(time*50);

	_delay_ms(100);
  };
 
  return 0;
  
}
